uniform sampler2D Texture0;
varying vec2 texCoord;
uniform vec4 blurstep;
const int samples = 15;
const float s = float(samples);

void main(void) {

   vec4 color = texture2D(Texture0, texCoord);

   vec2 tcoord;
   vec2 offset;

   for (int i = 1; i < samples; i++) {

      offset = blurstep.xy * float(i);

      tcoord = texCoord.xy + offset;
      color += (texture2D(Texture0, tcoord));

      tcoord = texCoord.xy - offset;
      color += (texture2D(Texture0, tcoord));

   }
   gl_FragColor = (color / s);

}

